Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations

UpdateSecurityGroupRulePriority

UpdateSecurityGroupRulePriority

PUT/zstack/v1/security-groups/{securityGroupUuid}/rules/priority/actions

Operation ID

UpdateSecurityGroupRulePriority

Since

4.7.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • securityGroupUuid
    StringRequired

    The security group UUID.

Body Fields

  • type
    StringRequired

    The rule type.

  • rules
    ListRequired

    The rule priority.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SecurityGroupInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • state
      StringRequired

      The resource state.

    • ipVersion
      IntegerRequired

      The IP version.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedL3NetworkUuids
      SetRequired

      The attached L3 network UUIDs.

    • rules
      ListRequired

      See rules.

      • uuid
        StringRequired

        The resource UUID.

      • securityGroupUuid
        StringRequired

        The security group UUID.

      • type
        StringRequired

        The traffic type.

      • ipVersion
        IntegerRequired

        The IP version.

      • protocol
        StringRequired

        The traffic protocol type.

      • state
        StringRequired

        The rule state.

      • priority
        IntegerRequired

        The rule priority.

      • description
        StringRequired

        The description of the rule.

      • srcIpRange
        StringRequired

        The range of the source IP of the rule.

      • dstIpRange
        StringRequired

        The range of the target IP of the rule.

      • srcPortRange
        StringRequired

        The range of the source port of the rule, which is not implemented in the current version.

      • dstPortRange
        StringRequired

        The range of the target port of the rule.

      • action
        StringRequired

        The default action of the rule.

      • remoteSecurityGroupUuid
        StringRequired

        The remote security group UUID.

      • allowedCidr
        StringRequired

        The allowed CIDR, which has different meanings according to different traffic types. If the traffic type is Ingress, the allowed CIDR is a source CIDR that is allowed to access VM NICs. If the traffic type is Egress, the allowed CIDR is a destination CIDR that is allowed to leave from VM NICs.

      • startPort
        IntegerRequired

        If the protocol is TCP or UDP, this parameter is the start port of the port range. If the protocol is ICMP, this parameter is the ICMP type.

      • endPort
        IntegerRequired

        If the protocol is TCP or UDP, this parameter is the end port of the port range. If the protocol is ICMP, this parameter is the ICMP type.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.